// <auto-generated>
//  automatically generated by the FlatBuffers compiler, do not modify
// </auto-generated>

namespace Veneris.Communications
{

using global::System;
using global::System.Collections.Generic;
using global::FlatBuffers;

public struct MaterialEMP : IFlatbufferObject
{
  private Struct __p;
  public ByteBuffer ByteBuffer { get { return __p.bb; } }
  public void __init(int _i, ByteBuffer _bb) { __p = new Struct(_i, _bb); }
  public MaterialEMP __assign(int _i, ByteBuffer _bb) { __init(_i, _bb); return this; }

  public float A { get { return __p.bb.GetFloat(__p.bb_pos + 0); } }
  public float B { get { return __p.bb.GetFloat(__p.bb_pos + 4); } }
  public float C { get { return __p.bb.GetFloat(__p.bb_pos + 8); } }
  public float D { get { return __p.bb.GetFloat(__p.bb_pos + 12); } }

  public static Offset<Veneris.Communications.MaterialEMP> CreateMaterialEMP(FlatBufferBuilder builder, float A, float B, float C, float D) {
    builder.Prep(4, 16);
    builder.PutFloat(D);
    builder.PutFloat(C);
    builder.PutFloat(B);
    builder.PutFloat(A);
    return new Offset<Veneris.Communications.MaterialEMP>(builder.Offset);
  }
};


}
